'use strict';
app.controller('messageBoxController', ['$scope', '$modalInstance', '$sce', 'text', 'caption', 'buttons', function ($scope, $modalInstance, $sce, text, caption, buttons) {

	$scope.text = $sce.trustAsHtml(text);
	$scope.caption = caption;
	$scope.buttons = buttons;

	$scope.click = function (button) {
		button.click($modalInstance);
	};
}]);
